GH-CODESPACE-DELETE(1)

NAME
gh-codespace-delete - Delete codespaces

SYNOPSIS
gh codespace delete [flags]

DESCRIPTION
Delete codespaces based on selection criteria.

All codespaces for the authenticated user can be deleted, as well as codespaces for a specific repository. Alternatively, only codespaces older than N days can be deleted.

Organization administrators may delete any codespace billed to the organization.

OPTIONS

--all
    Delete all codespaces

-c, --codespace <string>
    Name of the codespace

--days <N> (default 0)
    Delete codespaces older than N days

-f, --force
    Skip confirmation for codespaces that contain unsaved changes

-o, --org <login>
    The login handle of the organization (admin-only)

-R, --repo <string>
    Filter codespace selection by repository name (user/repo)

--repo-owner <string>
    Filter codespace selection by repository owner (username or org)

-u, --user <username>
    The username to delete codespaces for (used with --org)

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

SEE ALSO
gh-codespace(1)